Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.compliance.PDFECompliance Class Reference
Inheritance diagram for com.foxit.sdk.addon.compliance.PDFECompliance:

## Public Member Functions
| PDFECompliance ()
| Constructor.
| PDFECompliance (PDFECompliance other)
| Constructor, with another PDF/E compliance object. More...
ResultInformation | convertPDFFile (String src_pdf_path, String saved_pdf_path, int convert_to_version, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Convert a PDF file with specified PDF/E version. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
ResultInformation | verify (String src_pdf_path, int first_page_index, int last_page_index, int verify_version, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Verify a PDF file with specified PDF/E version. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_VersionPDFE1 = 1
| PDF/E-1.

## Detailed Description

This class can be used for PDF/E compliance verification or converting a PDF file to a PDF/E format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Constructor & Destructor Documentation

## ◆ PDFECompliance()

com.foxit.sdk.addon.compliance.PDFECompliance.PDFECompliance | ( | PDFECompliance | other | ) |

Constructor, with another PDF/E compliance object.

Parameters

  [in] | other | Another PDF/E compliance object.

## Member Function Documentation

## ◆ convertPDFFile()

ResultInformation com.foxit.sdk.addon.compliance.PDFECompliance.convertPDFFile | ( | String | src_pdf_path,
|  | String | saved_pdf_path,
|  | int | convert_to_version,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Convert a PDF file with specified PDF/E version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/E version to convert. Please refer to values starting from com.foxit.sdk.addon.compliance.PDFECompliance.e_VersionPDFE1 and this should be one of these values. Default value: com.foxit.sdk.addon.compliance.PDFECompliance.e_VersionPDFE1 .
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.PDFECompliance.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.compliance.PDFECompliance.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ verify()

ResultInformation com.foxit.sdk.addon.compliance.PDFECompliance.verify | ( | String | src_pdf_path,
|  | int | first_page_index,
|  | int | last_page_index,
|  | int | verify_version,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Verify a PDF file with specified PDF/E version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1.
  [in] | verify_version | PDF/E version to verify.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.